# Lynar Studios - Standard Library - JNI - 2023.1.0 #

This library has __Java Native Interface__ (JNI) bindings to selective functionalities of the C++ counterpart library "Lynar Studios - Standard Library". The purpose of this Java library is to provide functionalities within the Java world, you'd usually miss.

### Modules ###

The following modules are supported via the Java Native Interface:

##### Time #####

The time module currently provides functionalities to set the local system time.

### Setup ###

In order to use the C++ library's functionalities in a Java application the required binary file(s) must be available on the system in use.

For that the binary file has to be located in the operating system's library path location.  
e.g. __libls-std-time.so__ must be located in __/user/lib__ location on Linux systems 

### Build ###

Compilation of this library requires the following prerequisites to be in place:

| Prerequisite                                                 | Comment                                                               |
|--------------------------------------------------------------|-----------------------------------------------------------------------|
| Maven                                                        | this is the library's build tool and is required in version __3.6.x__ |
| Java Development Kit (JDK)                                   | this library uses JDK-11                                              |
| Lynar Studios - Standard Library - Time Module (ls-std-time) | this is the native shared library, required on the system in use      |

If your system fulfills these prerequisites, compiling the Java library is simple - navigate to the project's root directory and use the following maven command:

```
mvn clean install
```
